GNU bug report logs - #59109
29.0.50; package-tests failing since feature/package+vc merge

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Basil L. Contovounesios" <contovob@HIDDEN>; merged with #59063; dated Mon, 7 Nov 2022 19:35:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 59063 59109. Request was from Matt Armstrong <matt@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 15 Nov 2022 10:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 15 05:05:58 2022
Received: from localhost ([127.0.0.1]:53006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouspK-0002iH-5O
	for submit <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:05:58 -0500
Received: from mout01.posteo.de ([185.67.36.65]:57539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ouspI-0002i1-89
 for 59109 <at> debbugs.gnu.org; Tue, 15 Nov 2022 05:05:56 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 691D0240027
 for <59109 <at> debbugs.gnu.org>; Tue, 15 Nov 2022 11:05:50 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668506750; bh=yZpoz9156pOmHKBKSKum1WFnPMEYfyix65Z4+XbETz0=;
 h=From:To:Cc:Subject:Date:From;
 b=oD1EBAjYqRXptiWwewUKn6R7ozCSAcPDlMgfyUXNXHUG/8SYCgxMR+daNXTRfeAqK
 Y1+foqIQLROY3io8ln0kKujC0NGAKNsukV+a6UsxLXa4Cm2V+jG2QbjHNA/A+OskRC
 yQTWZ3l1R0cI2pQW0WrKFUNPQtEUUr90zJSkLOhfvv82vCW9HmaY5IMTSbSf16hnv2
 Kl4RYsKgaCxj1GfU9HNran0vqyQRmGiA5hMnr4EamreUswYD/JPObMr1LOFeXYHHl5
 NvMifBaeOSN1ECgvsZwgmUlTSUcsvEvbUTxd/pWt+FjgDKsjghWKrvYzCHsqRN2cuB
 SVmOJWO+rNqzQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NBMJF5tH7z9rxK;
 Tue, 15 Nov 2022 11:05:47 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#59109: 29.0.50; package-tests failing since
 feature/package+vc merge
In-Reply-To: <87h6z11bao.fsf@HIDDEN> (Philip Kaludercic's message of "Mon, 
 14 Nov 2022 22:22:23 +0100")
References: <87y1smtv7u.fsf@HIDDEN> <87h6z11bao.fsf@HIDDEN>
Date: Tue, 15 Nov 2022 10:05:46 +0000
Message-ID: <87bkp8ttvp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59109
Cc: 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic <philipk@HIDDEN> writes:

> "Basil L. Contovounesios" <contovob@HIDDEN> writes:
>
>> Let me know if you'd like me to run anything else on my end.
>
> For some reason I suddenly keep getting `bad-signature' errors that
> should (?) be unrelated to the actual issue.  I suspect that there might
> be some other misconfiguration on my system.
>
> What I was wondering is if you could run git bisect on the history
> between the merge commit and f3e7820b48 to identify where the issues
> appeared?

Scrap that, I figured out what the issue was.  package-vc requests
package specifications from "elpa-packages.eld", and I added the file
without adding a signature.  I've generated that, and now all the tests
pass.  The code is still on scratch/package-vc-fixes, as I am still
awaiting a few people to check if other issues have been resolved.  When
that has happened, I'll rebase the changes onto master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 14 Nov 2022 21:22:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 14 16:22:42 2022
Received: from localhost ([127.0.0.1]:50914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouguf-0005VJ-TB
	for submit <at> debbugs.gnu.org; Mon, 14 Nov 2022 16:22:42 -0500
Received: from mout02.posteo.de ([185.67.36.66]:42965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1ougud-0005V5-Q6
 for 59109 <at> debbugs.gnu.org; Mon, 14 Nov 2022 16:22:40 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 54949240101
 for <59109 <at> debbugs.gnu.org>; Mon, 14 Nov 2022 22:22:30 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668460953; bh=iQK3FxOwwqHLVy1kBHEWD69JYK00dB4Gsa5dhyMwXJE=;
 h=From:To:Cc:Subject:Date:From;
 b=mcqOdw2kECjOMT2dyKV81FfBkQjMwxQ3JfHM4JFZQkTZbTE6UzjUlvlfF9z2qlt1W
 ex8qV1rDGDXU5ZOTroHYRtt5pxZvh3Ti5NPJQHtpxnYlSgP2FEMEMyGnUrchf1Jez6
 MsfMbyhKfwEQQGVdc8J+9LDoBlW1WH5deFcSrj4LdezqVlCbcsOEhnjyGOX8UwXE0S
 PrRmDMiHJgE8rENHve1HYwYkvAyeuG1R9fDI2F67zmsGD9bZNwTGMZf43t1+VzMqgI
 LqOJtSQUaAYVMOxZ4ZezGfloWsvDR55Y3XeFhHUKS1JHP9TEpJomNgYXAWkOvdwgyz
 OlI8Q78gmczQQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NB2MV3TdFz6tn9;
 Mon, 14 Nov 2022 22:22:29 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#59109: 29.0.50; package-tests failing since
 feature/package+vc merge
In-Reply-To: <87y1smtv7u.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Mon, 07 Nov 2022 21:34:13 +0200")
References: <87y1smtv7u.fsf@HIDDEN>
Date: Mon, 14 Nov 2022 21:22:23 +0000
Message-ID: <87h6z11bao.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59109
Cc: 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Let me know if you'd like me to run anything else on my end.

For some reason I suddenly keep getting `bad-signature' errors that
should (?) be unrelated to the actual issue.  I suspect that there might
be some other misconfiguration on my system.

What I was wondering is if you could run git bisect on the history
between the merge commit and f3e7820b48 to identify where the issues
appeared?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 11 Nov 2022 18:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 11 13:22:06 2022
Received: from localhost ([127.0.0.1]:46722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1otYfF-0006RX-Jd
	for submit <at> debbugs.gnu.org; Fri, 11 Nov 2022 13:22:05 -0500
Received: from mout01.posteo.de ([185.67.36.65]:54215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1otYfC-0006R1-9C
 for 59109 <at> debbugs.gnu.org; Fri, 11 Nov 2022 13:22:03 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 85D9B240027
 for <59109 <at> debbugs.gnu.org>; Fri, 11 Nov 2022 19:21:56 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1668190916; bh=F29JO4Ppkqxre7oAl/04+tJ2srOkddFJ1l3cBh2s+OE=;
 h=From:To:Cc:Subject:Date:From;
 b=BkPt+9OpUDVjb1aUMs2Q/mC6CDl8jpKGjFovGng4iKSEYM4lq70FmKJ0oIqbvv+yI
 pEgue2+YOX9d4PcKw06mLTwA7/DZdQzkc9WbskGvm2mQ2RwzhPK4/X/MvwF6Zua585
 9/xzWXpo4kjt8qPxLEbqlj1qUnO/stceqEwLxfB8tUCcXrvaSBK0OykexhIzC4nEmV
 NRJ6Cof3OYxAV8YxnQNwm3lpzVOit/swGJ7Kb4Nd3sllACwYPrrTvrBwWfBvUuS3+Q
 19iloIWTOFCC4Jx5jdmZv9hyUHJyPqw7yvsUp99ZPtZOY0+H5iuQreiWgJtcj0jof9
 SGydoIPDKHVnQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4N86VW5QGNz6tmQ;
 Fri, 11 Nov 2022 19:21:54 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#59109: 29.0.50; package-tests failing since
 feature/package+vc merge
In-Reply-To: <87y1smtv7u.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Mon, 07 Nov 2022 21:34:13 +0200")
References: <87y1smtv7u.fsf@HIDDEN>
Date: Fri, 11 Nov 2022 18:21:49 +0000
Message-ID: <87r0y91hdu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59109
Cc: 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Several tests in test/lisp/emacs-lisp/package-tests.el have been failing
> on my end since the following commit:
>
>   Merge branch 'feature/package+vc'
>   5fa2f11679 2022-11-04 18:57:45 +0100
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=3D5fa2f11679
>
> The failures do not happen on the merge commit's first parent:
>
>   * lisp/simple.el (function-documentation): Fix bug#59014
>   616aa23d8a 2022-11-04 11:59:51 -0400
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=3D616aa23d8a
>
> I attach a log of building Emacs followed by two invocations of
> 'make test/package-tests', the first using the suite's .el file and the
> second using the .elc.  The failures are the same either way.  Each run
> is preceded by "echo '>>> TEST EL[C]'" for easier locating in the log.
>
> Let me know if you'd like me to run anything else on my end.
>
> Thanks,

With the latest changes pushed to scratch/package-vc-fixes I have
reduced the number of failing tests to three:

--8<---------------cut here---------------start------------->8---
Selector: t
Passed:  33
Failed:  3 (3 unexpected)
Skipped: 1
Total:   37/37

Started at:   2022-11-11 19:19:53+0100
Finished.
Finished at:  2022-11-11 19:20:14+0100

..........F..............FF.....s....

F package-test-install-multifile
    Check properties of the installed multi-file package.
    (ert-test-failed
     ((should
       (file-exists-p
	(expand-file-name fn pkg-dir)))
      :form
      (file-exists-p "/tmp/emacs-test-4NLfrT-package/multi-file-0.2.3/multi=
-file-sub.elc")
      :value nil))

F package-test-macro-compilation
    "Activation has to be done before compilation, so that if we=E2=80=99re
    (ert-test-failed
 ((should
   (equal
    (macro-problem-func)
    '(1 b)))
  :form
  (equal
   (progn a b)
   (1 b))
  :value nil :explanation
  (proper-lists-of-different-length 3 2
				    (progn a b)
				    (1 b)
				    first-mismatch-at 0)))

F package-test-macro-compilation-gz
    Built-in=E2=80=99s can be superseded as well.
    (ert-test-failed
 ((should
   (member
    (expand-file-name "macro-builtin-aux.elc" dir)
    (mapcar #'car load-history)))
  :form
  (member "/home/philip/Source/emacs/test/lisp/emacs-lisp/package-resources=
/macro-builtin-package-1.0/macro-builtin-aux.elc"
	  ("/tmp/emacs-test-F81fle-package/macro-problem-2.0/macro-problem-autoloa=
ds.el" "/tmp/emacs-test-F81fle-package/macro-problem-1.0/macro-problem-auto=
loads.el" "/tmp/emacs-test-MaJv5k-package/simple-single-1.3/simple-single-a=
utoloads.el" "/tmp/emacs-test-MaJv5k-package/simple-depend-1.0/simple-depen=
d-autoloads.el" "/tmp/emacs-test-MaJv5k-package/simple-two-depend-1.1/simpl=
e-two-depend-autoloads.el" "/tmp/emacs-test-u4JGkP-package/simple-single-1.=
3/simple-single-autoloads.el" "/tmp/emacs-test-CBf8HX-package/simple-single=
-1.3/simple-single-autoloads.el" "/tmp/emacs-test-NyiQ17-package/simple-sin=
gle-1.3/simple-single-autoloads.el" "/tmp/emacs-test-4NLfrT-package/multi-f=
ile-0.2.3/multi-file-autoloads.el" "/tmp/emacs-test-qZQQde-package/simple-s=
ingle-1.3/simple-single-autoloads.el" ...))
  :value nil))


--8<---------------cut here---------------end--------------->8---

I am uncertain what the issue is in these cases, but I'll continue
looking around.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 8 Nov 2022 20:22:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:22:16 2022
Received: from localhost ([127.0.0.1]:38248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osV6u-0002Ie-K3
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:22:16 -0500
Received: from mout01.posteo.de ([185.67.36.65]:49807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1osV6r-0002IP-Il
 for 59109 <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:22:15 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0FEDC240028
 for <59109 <at> debbugs.gnu.org>; Tue,  8 Nov 2022 21:22:07 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1667938928; bh=dqHGqsM0FjC6jhUmA8uDRBh5rOtZ7Wt1dUsEKRI7TFU=;
 h=From:To:Cc:Subject:Date:From;
 b=Faw92YRa9CsCU8BHThpn/PCS0vD1PpovwcYtjC0jsr8/o+2QQhDrRzqVcDwFVQap4
 PfHR2rq+JU80MvmxJPeRXRV2tbKE+NywCmGl/JjEeIvIt7Zzo3OOisR6W6f7laIzdf
 nwL17BbnW4Idan91wwaH4j31ksILy81Sl+wIs2KsozlkHUu6oZpuY+n6W1su2eH/PL
 KfZQfDn6LCcZy9RpTqLs4EVGFxI7BDbRE/Ja5kRr1xx3VWNPZtA141Bgm2uxovLjNr
 elKELSojnyvJ2i0d09dyGmDE+zqMG8fJ2mHNwUk5rvC5Ji38EHbZL1RAvry0hQLEj3
 UJtiFeXS0tt6g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4N6KJb27X3z6tmQ;
 Tue,  8 Nov 2022 21:22:07 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#59109: 29.0.50; package-tests failing since
 feature/package+vc merge
In-Reply-To: <87iljp9v17.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Tue, 08 Nov 2022 20:10:44 +0200")
References: <87y1smtv7u.fsf@HIDDEN> <83y1smy2ip.fsf@HIDDEN>
 <87iljp9v17.fsf@HIDDEN>
Date: Tue, 08 Nov 2022 20:22:07 +0000
Message-ID: <87leolgpsg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59109
Cc: Eli Zaretskii <eliz@HIDDEN>, 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Eli Zaretskii [2022-11-07 14:43 -0500] wrote:
>
>> I suggest to take a good look at the changes brought by the merge.
>
> Sorry, I will almost certainly not be in a position to review the
> changes carefully over the coming month.  I hope Philip or someone else
> will find the time to address the issues.

I am currently also a bit strained on time, but I'll try to take tackle
the issue over the next few evenings.

> Thanks,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 8 Nov 2022 18:11:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 13:11:01 2022
Received: from localhost ([127.0.0.1]:38133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osT3t-0007bM-Iw
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 13:11:01 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:45002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1osT3r-0007az-LM
 for 59109 <at> debbugs.gnu.org; Tue, 08 Nov 2022 13:11:00 -0500
Received: by mail-wr1-f41.google.com with SMTP id v1so22243437wrt.11
 for <59109 <at> debbugs.gnu.org>; Tue, 08 Nov 2022 10:10:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=5lUjeDpf3uuFMdjn6mJCxhCxr5Bo2EeX39EZrNziQ0c=;
 b=E44XRvuCJ5AtqESu+1wGaD+S9Tom/zqfdPzpDXk0YWcXZVxMrOZ98v2CUg546c5m1/
 VNkBWiZ2BVHurUXChEX/lPPCJi2j2ggseyisEnc6kGKsTPNFsDXDU7XbFkF+s05LX7/s
 gba5ykBwzCb34iDqlioPI168Y0/nlNbVlZD+f1I8dmBKciLjoCEmSrA6Ilo3kPGzJgq5
 8eC/Cda59RUbADCVw4vbhz8xMODB6mOhZZulisB2vrnNySIKMQb4v9S7YVnh3GxZIbyq
 dlfz3/jQ3D2rZVbTuNnQHNY72n+y55hd9YguaLE9l31aI2HbvMJPYmTof3hqVQ03Cph+
 XqYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=5lUjeDpf3uuFMdjn6mJCxhCxr5Bo2EeX39EZrNziQ0c=;
 b=PLzFjSYJXgS1NY1yMNsK+giPMKhfyZI12CMoBKQsCWlULVdZ+Nx78c3HGKGjXAA/86
 zkbpvdycaYDPw/0CV2Box6pXrXf3po+QfBH23X/yCzP+iMXPIvSoJiLWpDpRoUurri8f
 XLfaX+dHNJG9bXfCd0bSqcoWoi7n1Gf2xmtGaO1E8+SvHNE7dTYAYd8gjCUlVrvMov7R
 RVdGoTi9aF2nIf0ePIYklK9KbOjRX7syXSYuEF+YhfbUgMbthxB5AW40XGZKeTkvVpgE
 t/uNJkb91rZl0zQHLrjYCMbqXu31YnhxBW+Xaa/KjLcDJdSw/7j4QnV1n9fiBLJolvug
 me8w==
X-Gm-Message-State: ACrzQf3kBpAmp0P2ulSaxIbNXdJseiD5qcnfrxtrpx5xqpGaD6cuKeAr
 Q/10JvtxAPRxCpWDROS/hylUIg==
X-Google-Smtp-Source: AMsMyM42HyebJo0BtT+wWT96y6nHFeBhDCGATxMo2LN8EfgU9pJ7KS1ecsdC9uP6VGlEFFk/k4QDUg==
X-Received: by 2002:adf:ded2:0:b0:236:bad7:c850 with SMTP id
 i18-20020adfded2000000b00236bad7c850mr34173187wrn.565.1667931051619; 
 Tue, 08 Nov 2022 10:10:51 -0800 (PST)
Received: from localhost ([2a02:587:320c:8829:23:8156:16ed:40c2])
 by smtp.gmail.com with ESMTPSA id
 v15-20020a05600c444f00b003c70191f267sm17039942wmn.39.2022.11.08.10.10.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 08 Nov 2022 10:10:51 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59109: 29.0.50; package-tests failing since
 feature/package+vc merge
In-Reply-To: <83y1smy2ip.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 07 Nov
 2022 14:43:08 -0500")
References: <87y1smtv7u.fsf@HIDDEN> <83y1smy2ip.fsf@HIDDEN>
Date: Tue, 08 Nov 2022 20:10:44 +0200
Message-ID: <87iljp9v17.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59109
Cc: philipk@HIDDEN, 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii [2022-11-07 14:43 -0500] wrote:

> I suggest to take a good look at the changes brought by the merge.

Sorry, I will almost certainly not be in a position to review the
changes carefully over the coming month.  I hope Philip or someone else
will find the time to address the issues.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at 59109 <at> debbugs.gnu.org:


Received: (at 59109) by debbugs.gnu.org; 7 Nov 2022 19:43:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 07 14:43:15 2022
Received: from localhost ([127.0.0.1]:35330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1os81b-0005p8-Ji
	for submit <at> debbugs.gnu.org; Mon, 07 Nov 2022 14:43:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1os81a-0005ou-Io
 for 59109 <at> debbugs.gnu.org; Mon, 07 Nov 2022 14:43:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1os81U-0006rS-D5; Mon, 07 Nov 2022 14:43:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=LMCet8MOIPub5aSuV6tKlBv5UZE5ayoeG45sVGtcDcQ=; b=LepgLhHGZMR/
 /etUu6ENNO+xg+GDoAYqXemsIaE5SwcmViN+UVylBEET87TMhEeLfkZY6tKM/DbpS1ElEWmP0/27Y
 ulKkC5hnyBd8HG5v8rlA7iALcaAC4H/crNzGt49YsIgrDFBcFAFayXMmrNZkN2sNswzcxm8GQ07lT
 HyfXy7Nr7AEXeL3jTHXMQxuv+jyRosmGpAmyoN++9H5BMw3M8cM651+sPLUgOz6sAaYBa055Clt/D
 fLlhxrjUZasgnQUy6u3wD4SbP1WzHhxRf6mhSHrDlSvQ0m8xtHa1G7Jjb9OsPu5XMOlPMEAYScwXM
 qeXwfC6E0R2vIcy6nbNgPQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1os81T-0000qR-Sj; Mon, 07 Nov 2022 14:43:08 -0500
Date: Mon, 07 Nov 2022 21:42:54 +0200
Message-Id: <83y1smy2ip.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87y1smtv7u.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#59109: 29.0.50;
 package-tests failing since feature/package+vc merge
References: <87y1smtv7u.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59109
Cc: philipk@HIDDEN, 59109 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Philip Kaludercic <philipk@HIDDEN>
> Date: Mon, 07 Nov 2022 21:34:13 +0200
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Several tests in test/lisp/emacs-lisp/package-tests.el have been failing
> on my end since the following commit:
> 
>   Merge branch 'feature/package+vc'
>   5fa2f11679 2022-11-04 18:57:45 +0100
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=5fa2f11679
> 
> The failures do not happen on the merge commit's first parent:
> 
>   * lisp/simple.el (function-documentation): Fix bug#59014
>   616aa23d8a 2022-11-04 11:59:51 -0400
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=616aa23d8a

I suggest to take a good look at the changes brought by the merge.
I've discovered today that this very merge caused us to lose the Local
variables section of etc/NEWS (didn't everybody notice Emacs is
suddenly visiting NEWS in Fundamental mode?).  This was certainly not
intended, so I wonder what other unintended changes we acquired
through that merge.  Maybe some of the failures you see have similar
causes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2022 19:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 07 14:34:39 2022
Received: from localhost ([127.0.0.1]:35319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1os7tG-0005bu-OK
	for submit <at> debbugs.gnu.org; Mon, 07 Nov 2022 14:34:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:52060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1os7tB-0005bj-TA
 for submit <at> debbugs.gnu.org; Mon, 07 Nov 2022 14:34:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1os7tB-000440-Fn
 for bug-gnu-emacs@HIDDEN; Mon, 07 Nov 2022 14:34:33 -0500
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <contovob@HIDDEN>) id 1os7t0-0002CP-3H
 for bug-gnu-emacs@HIDDEN; Mon, 07 Nov 2022 14:34:33 -0500
Received: by mail-wr1-x435.google.com with SMTP id o4so17779007wrq.6
 for <bug-gnu-emacs@HIDDEN>; Mon, 07 Nov 2022 11:34:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=mime-version:user-agent:message-id:date:subject:to:from:from:to:cc
 :subject:date:message-id:reply-to;
 bh=3lRKVwBbyj71KP7aQxhslRPlNjFW2WdPjTI62GFft84=;
 b=AFKA8O+3fHXSRgHVy98nFBl2xu5kiTXX4SN+Vr8RtU16R0mGBZR0w0nOgZtopz+Omy
 o6R7rWKtwS5uV1ZFSWqP0EkpRZ0DWUEFYOco1Ozabyx4ThThxg5m7sztW0QcBLYI3i5F
 9RLC7UzMWrEim8ZqrRra7k34Vtbe3QXeiU8WyEYzqyOR4QQsgaXAQ+PULDkpY9MaRHV7
 KrNZivsSr2BlRNFKR2O/D7tsugpn6MfxO7zPQ9qpoVP0F5/zkb64ramjmxN772Z9xpYw
 4qi0a6x6fZmATm8PtFHjWALTNBoBCflPZ7QoiLPbqkoz6jvaVNdXuUqlz2Z8ld48cjtS
 J3Lw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=3lRKVwBbyj71KP7aQxhslRPlNjFW2WdPjTI62GFft84=;
 b=U1ISDPb8I6rnJ8zN4Zt1UIrxTiB2LrQel7Tg6PLdPYP1SP551p2v7WFefP+5lW4W0e
 6vQ0qIqm3cgBJQzI+3R2hUVhsuE8jh78fb3VhnwQxZYR3TLFsgpWxxpmktBa7AP/u21g
 id5T9gpLdC0Il1r8N7TedN03YJQyyHV8UMYozJE0r/g3sZ8T4l8zPOSGItQxThlIysTK
 oyu7GiBiF88LHo/yVWXZ2DZ+xW8OYblc+c/kRrocRJcPttOuO8Bz7ZoJ59gB/qnTpgG2
 M/VFvN3DZm8VDEGR+TaAyhaXG89LKFgProFm/dSEwGwRWWjUHdGy7XkY4wIoNtX+6X8V
 ijvQ==
X-Gm-Message-State: ACrzQf1wVx0juodWRvMwhHUgF54asgX5p2qxRVWAKTD9OBBa2YRvwVV/
 +91lAPo6Yh+TkbEoah7GB/2tPAj+oXxAZWdR
X-Google-Smtp-Source: AMsMyM6+quGwKHxUDgWgMTVSUtPU5IVQENpC7FMix3PYItX7+MoRyVdHRi7/TlK+wI/txwLjv03vvA==
X-Received: by 2002:adf:e4c2:0:b0:236:cb28:f221 with SMTP id
 v2-20020adfe4c2000000b00236cb28f221mr28169369wrm.649.1667849656164; 
 Mon, 07 Nov 2022 11:34:16 -0800 (PST)
Received: from localhost ([2a02:587:320c:8829:23:8156:16ed:40c2])
 by smtp.gmail.com with ESMTPSA id
 c3-20020a056000104300b0022584c82c80sm8104806wrx.19.2022.11.07.11.34.14
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 07 Nov 2022 11:34:15 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; package-tests failing since feature/package+vc merge
X-Debbugs-Cc: Philip Kaludercic <philipk@HIDDEN>
Date: Mon, 07 Nov 2022 21:34:13 +0200
Message-ID: <87y1smtv7u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::435;
 envelope-from=contovob@HIDDEN; helo=mail-wr1-x435.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Several tests in test/lisp/emacs-lisp/package-tests.el have been failing
on my end since the following commit:

  Merge branch 'feature/package+vc'
  5fa2f11679 2022-11-04 18:57:45 +0100
  https://git.sv.gnu.org/cgit/emacs.git/commit/?id=5fa2f11679

The failures do not happen on the merge commit's first parent:

  * lisp/simple.el (function-documentation): Fix bug#59014
  616aa23d8a 2022-11-04 11:59:51 -0400
  https://git.sv.gnu.org/cgit/emacs.git/commit/?id=616aa23d8a

I attach a log of building Emacs followed by two invocations of
'make test/package-tests', the first using the suite's .el file and the
second using the .elc.  The failures are the same either way.  Each run
is preceded by "echo '>>> TEST EL[C]'" for easier locating in the log.

Let me know if you'd like me to run anything else on my end.

Thanks,

-- 
Basil


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=package-tests.txt.gz
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.16.0) of 2022-11-07 built on tia
Repository revision: 5fa2f116799b8a7c17ff6eedd6e1b1af077c116b
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 35905 6019)
 (symbols 48 5114 0)
 (strings 32 13075 1650)
 (string-bytes 1 370964)
 (vectors 16 9275)
 (vector-slots 8 147475 8338)
 (floats 8 21 23)
 (intervals 56 208 0)
 (buffers 984 10))

--=-=-=--




Acknowledgement sent to "Basil L. Contovounesios" <contovob@HIDDEN>:
New bug report received and forwarded. Copy sent to philipk@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to philipk@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#59109; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 17 Nov 2022 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.